%define	upstream_name	 Gimp
%define upstream_version 2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Epoch:      1

Summary:    Perl module enabling to write plugins for the Gimp2
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Source0:    http://search.cpan.org/CPAN/authors/id/S/SJ/SJBURGES/%upstream_name-%{upstream_version}.tar.gz
Patch1:     Gimp-2.2-fix-str-fmt.patch
Patch2:     Gimp-2.2-linkage.patch
Url:        http://search.cpan.org/~sjburges/Gimp/Gimp.pm

BuildRequires: perl(Data::Dumper) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: perl(PDL)
BuildRequires: gtk+2-devel
BuildRequires: libgimp-devel > 2.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Gtk2
BuildRequires: perl-Parse-RecDescent
BuildRequires: perl-PDL
Requires:   gtk+2
Requires:   libgtk+2
Requires:   perl-Glib >= 1.021
Requires:   perl-PDL
Provides:   gimp-perl = %epoch:%version
Obsoletes:  gimp-perl < %epoch:2.0

# Don't use automatic requires for perl-PDL (#22095):
%global __requires_exclude perl\\(PDL

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
make DESTDIR=%buildroot pure_vendor_install
install -m 755 examples/* $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
perl -pi -e "s^/opt/bin/perl^%_bindir/perl^" $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/*

# fix conflict with gimp-1:
rm -f $RPM_BUILD_ROOT%_mandir/man1/embedxpm.*
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/redeye
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/README
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/examples.TODO

%files
%doc AUTHORS COPYING ChangeLog Changes MAINTAINERS META.json META.yml MYMETA.yml NEWS README TODO UI examples
%_bindir/*
%_mandir/*/*
%_libdir/gimp/2.0/plug-ins/*
%_prefix/lib/perl5/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:2.300.0-7.mga6
+ Revision: 1027934
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 1:2.300.0-6.mga6
+ Revision: 962011
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1:2.300.0-5.mga6
+ Revision: 843512
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1:2.300.0-4.mga5
+ Revision: 739098
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.300.0-3.mga5
+ Revision: 684867
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jun 03 2014 jquelin <jquelin> 1:2.300.0-2.mga5
+ Revision: 632487
- perl 5.20.0 rebuild

* Mon Feb 17 2014 jquelin <jquelin> 1:2.300.0-1.mga5
+ Revision: 593523
- update to 2.3

* Sat Oct 19 2013 umeabot <umeabot> 1:2.2-1.pre1.13.mga4
+ Revision: 525254
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1:2.2-1.pre1.12.mga4
+ Revision: 432729
- rebuild for new perl

* Wed Jan 23 2013 fwang <fwang> 1:2.2-1.pre1.11.mga3
+ Revision: 391625
- real linkage
- update link patch
- fix overlink

* Wed Jan 23 2013 cjw <cjw> 1:2.2-1.pre1.10.mga3
+ Revision: 391618
- drop unused build dep on glitz-devel

* Tue Jan 22 2013 sander85 <sander85> 1:2.2-1.pre1.9.mga3
+ Revision: 390944
- Fix build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1:2.2-0.pre1.8.mga2
+ Revision: 138592
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1:2.2-0.pre1.7.mga2
+ Revision: 104431
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1:2.2-0.pre1.6.mga1
+ Revision: 36241
- mageia rebuild
- imported package perl-Gimp


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1:2.2-0.pre1.6mdv2011.0
+ Revision: 564616
- rebuild for  perl 5.12.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:2.2-0.pre1.5mdv2011.0
+ Revision: 426447
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1:2.2-0.pre1.4mdv2009.1
+ Revision: 366032
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1:2.2-0.pre1.3mdv2008.1
+ Revision: 151376
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2-0.pre1.2mdv2007.0
- fix buildrequires

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2-0.pre1.1mdv2007.0
- fix conflict with gimp
- fix build
- new version

* Mon Apr 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-9mdk
- add bug reference

* Mon Apr 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-8mdk
- Don't use automatic requires for perl-PDL (#22095)

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-7mdk
- revert previous buildrequires

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-6mdk
- Fix Buildrequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-5mdk
- Fix BuildRequires

* Wed Aug 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-4mdk
- Rebuild, fix installation process

* Mon Apr 18 2005 Giuseppe Ghib <ghibo@mandriva.com> 1:2.0-3mdk
- Fixed X86-64 building.

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0-2mdk
- rebuild for new perl

* Mon May 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-1mdk
- new release

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_4mdk
- even more buildrequires *grf*

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_3mdk
- whoppsy, yet another buildrequires caught!
- get rid of cvs files

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_2mdk
- fix buildrequires
- spec cosmetics

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre2_1mdk
- initial release

